## icinga2 2.1.1

=== CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

cmake_minimum_required(VERSION 2.6)
set(BOOST_MIN_VERSION "1.41.0")

project(icinga2)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/third-party/cmake")

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif()

file(STRINGS icinga2.spec VERSION_LINE REGEX "^Version: ")
string(REPLACE "Version: " "" ICINGA2_VERSION ${VERSION_LINE})

include(GNUInstallDirs)

set(ICINGA2_USER "icinga" CACHE STRING "Icinga 2 user")
set(ICINGA2_GROUP "icinga" CACHE STRING "Icinga 2 group")
set(ICINGA2_COMMAND_USER "icinga" CACHE STRING "Icinga 2 command user")
set(ICINGA2_COMMAND_GROUP "icingacmd" CACHE STRING "Icinga 2 command group")
set(ICINGA2_RUNDIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/run" CACHE STRING "/run directory")
set(ICINGA2_PLUGINDIR "/usr/lib/nagios/plugins" CACHE STRING "Path for the check plugins")
set(ICINGA2_GIT_VERSION_INFO ON CACHE BOOL "Whether to use git describe")
set(ICINGA2_UNITY_BUILD OFF CACHE BOOL "Whether to perform a unity build")

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/COPYING" ICINGA2_LICENSE_GPL)
file(READ "${CMAKE_CURRENT_SOURCE_DIR}/COPYING.Exceptions" ICINGA2_LICENSE_ADDITIONS)
set(ICINGA2_LICENSE "${ICINGA2_LICENSE_GPL}\n\n---\n\n${ICINGA2_LICENSE_ADDITIONS}")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/LICENSE.txt" ${ICINGA2_LICENSE})

include(GetGitRevisionDescription)
git_describe(GIT_VERSION --tags)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/icinga-version.h.force)
  configure_file(icinga-version.h.force ${CMAKE_CURRENT_BINARY_DIR}/icinga-version.h COPYONLY)
else()
  if(NOT ICINGA2_GIT_VERSION_INFO OR GIT_VERSION MATCHES "-NOTFOUND$")
    file(STRINGS icinga2.spec SPEC_VERSION REGEX "^Version:")
    string(LENGTH "${SPEC_VERSION}" SPEC_VERSION_LENGTH)
    math(EXPR SPEC_VERSION_LENGTH "${SPEC_VERSION_LENGTH} - 9")
    string(SUBSTRING ${SPEC_VERSION} 9 ${SPEC_VERSION_LENGTH} SPEC_VERSION)

    file(STRINGS icinga2.spec SPEC_REVISION REGEX "^%define revision ")
    string(LENGTH "${SPEC_REVISION}" SPEC_REVISION_LENGTH)
    math(EXPR SPEC_REVISION_LENGTH "${SPEC_REVISION_LENGTH} - 17")
    string(SUBSTRING ${SPEC_REVISION} 17 ${SPEC_REVISION_LENGTH} SPEC_REVISION)

    set(GIT_VERSION "r${SPEC_VERSION}-${SPEC_REVISION}")
  endif()
  configure_file(icinga-version.h.cmake icinga-version.h)
endif()

if(WIN32)
  set(Boost_USE_STATIC_LIBS ON)
  add_definitions(-DBOOST_ALL_NO_LIB)
endif()

find_package(Boost ${BOOST_MIN_VERSION} COMPONENTS thread system program_options regex REQUIRED)

link_directories(${Boost_LIBRARY_DIRS})
include_directories(${Boost_INCLUDE_DIRS})

find_package(OpenSSL REQUIRED)
include_directories(${OPENSSL_INCLUDE_DIR})

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/lib ${CMAKE_CURRENT_SOURCE_DIR}/components
  ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/lib ${CMAKE_CURRENT_BINARY_DIR}/components
)

#set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)

if(APPLE)
  set(CMAKE_INSTALL_NAME_DIR "@executable_path/../lib/icinga2")
endif(APPLE)

if("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Qunused-arguments -g")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Qunused-arguments -g")
endif()

if("${CMAKE_C_COMPILER_ID}" STREQUAL "SunPro")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mt")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mt -library=stlport4")
endif()

if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g")
  if(${CMAKE_SYSTEM_NAME} MATCHES AIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -lpthread")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")
  endif()
endif()

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -D_SCL_SECURE_NO_WARNINGS)
endif()

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/Bin/${CMAKE_BUILD_TYPE} CACHE PATH "Library output path")
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/Bin/${CMAKE_BUILD_TYPE} CACHE PATH "Executable output path")

include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFileCXX)

check_symbol_exists(__COUNTER__ "" HAVE_COUNTER_MACRO)

if(NOT HAVE_COUNTER_MACRO AND ICINGA2_UNITY_BUILD)
  message(STATUS "Your C/C++ compiler does not support the __COUNTER__ macro. Disabling unity build.")
  set(ICINGA2_UNITY_BUILD FALSE)
endif()

check_function_exists(vfork HAVE_VFORK)
check_function_exists(backtrace_symbols HAVE_BACKTRACE_SYMBOLS)
check_function_exists(pipe2 HAVE_PIPE2)
check_function_exists(nice HAVE_NICE)
check_library_exists(dl dladdr "dlfcn.h" HAVE_DLADDR)
check_library_exists(execinfo backtrace_symbols "" HAVE_LIBEXECINFO)
check_include_file_cxx(cxxabi.h HAVE_CXXABI_H)

if(HAVE_LIBEXECINFO)
  set(HAVE_BACKTRACE_SYMBOLS TRUE)
endif()

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h ESCAPE_QUOTES)

install(
  FILES README.md COPYING COPYING.Exceptions AUTHORS ChangeLog NEWS
  DESTINATION ${CMAKE_INSTALL_DOCDIR}
)

include(CTest)
enable_testing()

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

add_subdirectory(third-party)
add_subdirectory(tools)
add_subdirectory(lib)
add_subdirectory(components)
add_subdirectory(icinga-app)
add_subdirectory(etc)
add_subdirectory(itl)
add_subdirectory(doc)
add_subdirectory(test)
add_subdirectory(pki)
add_subdirectory(contrib)
add_subdirectory(python)

set(CPACK_PACKAGE_NAME "Icinga2")
set(CPACK_PACKAGE_VENDOR "Icinga Development Team")
set(CPACK_PACKAGE_VERSION ${ICINGA2_VERSION})
set(CPACK_NSIS_DISPLAY_NAME "Icinga 2")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "ICINGA2")
set(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/icinga-app\\\\icinga.ico")
set(CPACK_NSIS_MUI_ICON "${CMAKE_CURRENT_SOURCE_DIR}/icinga-app\\\\icinga.ico")
set(CPACK_NSIS_MUI_UNIICON "${CMAKE_CURRENT_SOURCE_DIR}/icinga-app\\\\icinga.ico")
set(CPACK_NSIS_INSTALLED_ICON_NAME "sbin\\\\icinga2.exe")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_BINARY_DIR}/LICENSE.txt")

set(CPACK_NSIS_EXECUTABLES_DIRECTORY "sbin")
set(CPACK_PACKAGE_EXECUTABLES "Icinga2SetupAgent;Icinga 2 Agent Wizard")
set(CPACK_NSIS_MUI_FINISHPAGE_RUN "Icinga2SetupAgent")
set(CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "nsExec::Exec '\\\"$INSTDIR\\\\sbin\\\\icinga2\\\" --scm-uninstall'")

set(CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_SKIP TRUE)
include(InstallRequiredSystemLibraries)

if(WIN32)
  install(
    PROGRAMS ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS}
      C:\\\\openssl\\\\bin\\\\libeay32.dll C:\\\\openssl\\\\bin\\\\ssleay32.dll
    DESTINATION ${CMAKE_INSTALL_SBINDIR}
  )
endif()

include(CPack)

=== components/CMakeLists.txt ===
add_subdirectory(checker)
add_subdirectory(compat)
add_subdirectory(db_ido_mysql)
add_subdirectory(db_ido_pgsql)
add_subdirectory(demo)
add_subdirectory(livestatus)
add_subdirectory(notification)
add_subdirectory(perfdata)

=== doc/CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

file(GLOB DOCSRCS "*.md")

if(UNIX OR CYGWIN)
  install(
    FILES icinga2.8 icinga2-enable-feature.8 icinga2-disable-feature.8 icinga2-build-ca.8 icinga2-build-key.8 icinga2-sign-key.8 icinga2-prepare-dirs.8
    DESTINATION ${CMAKE_INSTALL_MANDIR}/man8
  )
endif()

install(
  FILES ${DOCSRCS}
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/markdown
)

=== etc/CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

include(InstallConfig)

configure_file(icinga/icinga-classic-apache.conf.cmake ${CMAKE_CURRENT_BINARY_DIR}/icinga/icinga-classic-apache.conf @ONLY)
configure_file(icinga2/constants.conf.cmake ${CMAKE_CURRENT_BINARY_DIR}/icinga2/constants.conf @ONLY)
configure_file(logrotate.d/icinga2.cmake ${CMAKE_CURRENT_BINARY_DIR}/logrotate.d/icinga2 @ONLY)

install_if_not_exists(icinga2/icinga2.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2)
install_if_not_exists(${CMAKE_CURRENT_BINARY_DIR}/icinga2/constants.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2)
install_if_not_exists(icinga2/zones.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2)
install_if_not_exists(icinga2/conf.d/commands.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d)
install_if_not_exists(icinga2/conf.d/downtimes.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d)
install_if_not_exists(icinga2/conf.d/groups.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d)
install_if_not_exists(icinga2/conf.d/notifications.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d)
install_if_not_exists(icinga2/conf.d/services.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d)
install_if_not_exists(icinga2/conf.d/templates.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d)
install_if_not_exists(icinga2/conf.d/timeperiods.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d)
install_if_not_exists(icinga2/conf.d/users.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d)
install_if_not_exists(icinga2/conf.d/hosts/localhost.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d/hosts)
install_if_not_exists(icinga2/conf.d/hosts/localhost/disk.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d/hosts/localhost)
install_if_not_exists(icinga2/conf.d/hosts/localhost/http.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d/hosts/localhost)
install_if_not_exists(icinga2/conf.d/hosts/localhost/icinga.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d/hosts/localhost)
install_if_not_exists(icinga2/conf.d/hosts/localhost/load.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d/hosts/localhost)
install_if_not_exists(icinga2/conf.d/hosts/localhost/procs.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d/hosts/localhost)
install_if_not_exists(icinga2/conf.d/hosts/localhost/ssh.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d/hosts/localhost)
install_if_not_exists(icinga2/conf.d/hosts/localhost/swap.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d/hosts/localhost)
install_if_not_exists(icinga2/conf.d/hosts/localhost/users.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/conf.d/hosts/localhost)
install_if_not_exists(icinga2/features-available/api.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/checker.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/command.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/compatlog.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/debuglog.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/graphite.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/icingastatus.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/ido-mysql.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/ido-pgsql.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/livestatus.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/mainlog.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/notification.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/perfdata.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/statusdata.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/features-available/syslog.conf ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-available)
install_if_not_exists(icinga2/scripts/mail-host-notification.sh ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/scripts)
install_if_not_exists(icinga2/scripts/mail-service-notification.sh ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/scripts)
install_if_not_exists(icinga2/zones.d/README ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/zones.d)
install_if_not_exists(${CMAKE_CURRENT_BINARY_DIR}/logrotate.d/icinga2 ${CMAKE_INSTALL_SYSCONFDIR}/logrotate.d)

install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_SYSCONFDIR}/icinga2/pki\")")

if(NOT WIN32)
  install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_SYSCONFDIR}/icinga2/features-enabled\")")
  install(CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink ../features-available/checker.conf \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_SYSCONFDIR}/icinga2/features-enabled/checker.conf\")")
  install(CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink ../features-available/notification.conf \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_SYSCONFDIR}/icinga2/features-enabled/notification.conf\")")
  install(CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink ../features-available/mainlog.conf \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_SYSCONFDIR}/icinga2/features-enabled/mainlog.conf\")")
else()
  install(
    FILES icinga2/features-enabled/checker.conf icinga2/features-enabled/notification.conf
          icinga2/features-enabled/mainlog.conf
    DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/icinga2/features-enabled
  )
endif()

add_subdirectory(initsystem)

set(CPACK_NSIS_EXTRA_INSTALL_COMMANDS "${CPACK_NSIS_EXTRA_INSTALL_COMMANDS}" PARENT_SCOPE)

=== icinga-app/CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

if(MSVC)
  set(WindowsSources icinga.rc)
else()
  set(WindowsSources "")
endif()

add_executable(icinga-app icinga.cpp ${WindowsSources})

include_directories(${Boost_INCLUDE_DIRS})
target_link_libraries(icinga-app ${Boost_LIBRARIES} base config)

set_target_properties (
  icinga-app PROPERTIES
  INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/icinga2
  FOLDER Bin
  OUTPUT_NAME icinga2
)

install(
  TARGETS icinga-app
  RUNTIME DESTINATION ${CMAKE_INSTALL_SBINDIR}
)

install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/icinga2\")")
install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/icinga2\")")
install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${ICINGA2_RUNDIR}/icinga2\")")

=== itl/CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

install(
  FILES itl command.conf command-icinga.conf timeperiod.conf plugins command-plugins.conf manubulon command-plugins-manubulon.conf 
  DESTINATION ${CMAKE_INSTALL_DATADIR}/icinga2/include
)

=== python/CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

find_package(PythonInterp REQUIRED)

add_subdirectory(icinga2)

configure_file(setup.py.cmake ${CMAKE_CURRENT_BINARY_DIR}/setup.py @ONLY)

install(CODE "
  execute_process(
   COMMAND ${CMAKE_COMMAND}
     -DSETUP_PY=${CMAKE_CURRENT_BINARY_DIR}/setup.py
     -DPYTHON_EXECUTABLE=${PYTHON_EXECUTABLE}
     -DPREFIX=${CMAKE_INSTALL_PREFIX}
     -DWDIR=${CMAKE_CURRENT_BINARY_DIR}
     -P ${PROJECT_SOURCE_DIR}/third-party/cmake/PythonSetup.cmake
  )

  configure_file(
      \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_BINDIR}/icinga2-list-objects
      \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_SBINDIR}/icinga2-list-objects COPYONLY}
  )

  file(
    REMOVE
      \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_BINDIR}/icinga2-list-objects
  )"
)

=== test/CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

include(BoostTestTargets)

set(base_test_SOURCES
  base-array.cpp base-convert.cpp base-dictionary.cpp base-fifo.cpp
  base-match.cpp base-netstring.cpp base-object.cpp base-serialize.cpp
  base-shellescape.cpp base-stacktrace.cpp base-stream.cpp
  base-string.cpp base-timer.cpp base-type.cpp base-value.cpp
  icinga-perfdata.cpp test.cpp
)

set_property(SOURCE test.cpp PROPERTY EXCLUDE_UNITY_BUILD TRUE)

if(ICINGA2_UNITY_BUILD)
    mkunity_target(test base_test_SOURCES)
endif()

add_boost_test(base
  SOURCES test.cpp ${base_test_SOURCES}
  LIBRARIES base config icinga
  TESTS base_array/construct
        base_array/getset
        base_array/insert
        base_array/remove
        base_array/foreach
        base_array/clone
        base_array/json
        base_convert/tolong
        base_convert/todouble
        base_convert/tostring
        base_convert/tobool
        base_dictionary/construct
        base_dictionary/get1
        base_dictionary/get2
        base_dictionary/foreach
        base_dictionary/remove
        base_dictionary/clone
        base_dictionary/json
        base_fifo/construct
        base_fifo/io
        base_match/tolong
        base_netstring/netstring
        base_object/construct
        base_object/getself
        base_object/weak
        base_serialize/scalar
        base_serialize/array
        base_serialize/dictionary
        base_serialize/object
        base_shellescape/escape_basic
        base_shellescape/escape_quoted
        base_stacktrace/stacktrace
        base_stream/readline_stdio
        base_string/construct
        base_string/equal
        base_string/clear
        base_string/append
        base_string/trim
	base_string/contains
        base_string/replace
        base_string/index
        base_string/find
        base_timer/construct
        base_timer/interval
        base_timer/invoke
        base_timer/scope
        base_value/scalar
        base_value/convert
        base_value/format
	icinga_perfdata/simple
	icinga_perfdata/multiple
	icinga_perfdata/uom
	icinga_perfdata/warncritminmax
	icinga_perfdata/invalid
)

=== tools/CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

add_subdirectory(mkclass)
add_subdirectory(mkembedconfig)
add_subdirectory(mkunity)

if(UNIX OR CYGWIN)
  configure_file(icinga2-enable-feature.cmake ${CMAKE_CURRENT_BINARY_DIR}/icinga2-enable-feature @ONLY)

  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/icinga2-enable-feature
    DESTINATION ${CMAKE_INSTALL_SBINDIR}
    PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
  )

  install(CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink ./icinga2-enable-feature \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_SBINDIR}/icinga2-disable-feature\")")
endif()

=== components/checker/CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

mkclass_target(checkercomponent.ti checkercomponent.thpp)

mkembedconfig_target(checker-type.conf checker-type.cpp)

set(checker_SOURCES
  checkercomponent.cpp checkercomponent.thpp checker-type.cpp
)

if(ICINGA2_UNITY_BUILD)
    mkunity_target(checker checker_SOURCES)
endif()

add_library(checker SHARED ${checker_SOURCES})

target_link_libraries(checker ${Boost_LIBRARIES} base config icinga remote)

set_target_properties (
  checker PROPERTIES
  INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/icinga2
  FOLDER Components
)

install(
  TARGETS checker
  RUNTIME DESTINATION ${CMAKE_INSTALL_SBINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/icinga2
)

=== components/compat/CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

mkclass_target(checkresultreader.ti checkresultreader.thpp)
mkclass_target(compatlogger.ti compatlogger.thpp)
mkclass_target(externalcommandlistener.ti externalcommandlistener.thpp)
mkclass_target(statusdatawriter.ti statusdatawriter.thpp)

mkembedconfig_target(compat-type.conf compat-type.cpp)

set(compat_SOURCES
  checkresultreader.cpp checkresultreader.thpp compatlogger.cpp
  compatlogger.thpp externalcommandlistener.cpp externalcommandlistener.thpp
  statusdatawriter.cpp statusdatawriter.thpp compat-type.cpp
)

if(ICINGA2_UNITY_BUILD)
    mkunity_target(compat compat_SOURCES)
endif()

add_library(compat SHARED ${compat_SOURCES})

target_link_libraries(compat ${Boost_LIBRARIES} base config icinga)

set_target_properties (
  compat PROPERTIES
  INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/icinga2
  FOLDER Components
)

install(TARGETS compat RUNTIME DESTINATION ${CMAKE_INSTALL_SBINDIR} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/icinga2)

install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/icinga2/compat/archives\")")
install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/cache/icinga2\")")
install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/spool/icinga2\")")
install(CODE "file(MAKE_DIRECTORY \"\$ENV{DESTDIR}${ICINGA2_RUNDIR}/icinga2/cmd\")")

=== components/db_ido_mysql/CMakeLists.txt ===
# Icinga 2
# Copyright (C) 2012-2014 Icinga Development Team (http://www.icinga.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

find_package(MySQL)

if(MYSQL_FOUND)
    mkclass_target(idomysqlconnection.ti idomysqlconnection.thpp)

    mkembedconfig_target(db_ido_mysql-type.conf db_ido_mysql-type.cpp)

    set(db_ido_mysql_SOURCES
      idomysqlconnection.cpp idomysqlconnection.thpp db_ido_mysql-type.cpp
    )

    if(ICINGA2_UNITY_BUILD)
        mkunity_target(db_ido_mysql db_ido_mysql_SOURCES)
    endif()

    add_library(db_ido_mysql SHARED ${db_ido_mysql_SOURCES})

    include_directories(${MYSQL_INCLUDE_DIR})
    target_link_libraries(db_ido_mysql ${Boost_LIBRARIES} ${MYSQL_CLIENT_LIBS} base config icinga db_ido)

    set_target_properties (
      db_ido_mysql PROPERTIES
      INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/icinga2
      FOLDER Components
    )

    install(
      TARGETS db_ido_mysql
      RUNTIME DESTINATION ${CMAKE_INSTALL_SBINDIR}
      LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/icinga2
    )

    install(
      DIRECTORY schema
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icinga2-ido-mysql
      FILES_MATCHING PATTERN "*.sql"
    )

    install(
      DIRECTORY schema/upgrade
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icinga2-ido-mysql/schema
      FILES_MATCHING PATTERN "*.sql"
    )
endif()

=== debian/changelog ===
icinga2 (2.1.1-1) unstable; urgency=medium

  * [4a0350e] Imported Upstream version 2.1.1
  * [81a704c] gnu_hurd.patch is now upstream
  * [e5709e4] pipe_ENOSYS.patch is now upstream

 -- Alexander Wirt <formorer@debian.org>  Thu, 18 Sep 2014 08:00:44 +0200

icinga2 (2.1.0-3) unstable; urgency=medium

  * [dd04e8c] Fix build problem with CMake libdir on Hurd and kFreeBSD
              Using dist version of GNUInstallDirs.cmake

 -- Markus Frosch <lazyfrosch@debian.org>  Mon, 08 Sep 2014 16:39:23 +0200

icinga2 (2.1.0-2) unstable; urgency=medium

  [ Markus Frosch ]
  * [26e4092] Update copyright for python embed
  * [f9dd427] Fixed typo in copyright
  * [f236eb4] Include all existing manpages
  * [280f892] Adding patches for arch problems on Hurd and FreeBSD
  * [ba59e9c] Fix lintian warning in copyright

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #755248
  * [Debconf translation updates]
  * Portuguese (Américo Monteiro).  Closes: #758573
  * Russian (Yuri Kozlov).  Closes: #758790
  * German (Chris Leick).  Closes: #759364
  * Brazilian Portuguese ().  Closes: #759599
  * Danish (Joe Hansen).  Closes: #759778
  * Japanese (victory).  Closes: #760094
  * Spanish; (Matías A. Bellone).  Closes: #760115
  * Czech (Michal Simunek).  Closes: #760145
  * Polish (Michał Kułach).  Closes: #760180
  * Italian (Beatrice Torracca).  Closes: #760300
  * Turkish (Mert Dirik).  Closes: #760329
  * French (Steve Petruzzello).  Closes: #760600

 -- Markus Frosch <lazyfrosch@debian.org>  Mon, 08 Sep 2014 14:03:13 +0200

icinga2 (2.1.0-1) unstable; urgency=medium

  [ Alexander Wirt ]
  * [e1b3b50] Prefer monitoring-plugins over nagios-plugins

  [ Markus Frosch ]
  * [e192c30] Imported Upstream version 2.1.0
  * [4e08221] Added python-icinga2 and updates for list-objects
  * [4bd22b4] Update maintainer mail and copyright
  * [cd79431] Add missing Python dependency macros
  * [63d5bfb] Update gitignore
  * [42a8707] Update lintian ignores
  * [33ca186] Add patch 21_config_changes to change default mail
              (Closes: #759011)

 -- Markus Frosch <lazyfrosch@debian.org>  Fri, 29 Aug 2014 14:07:28 +0200

=== debian/control ===
Source: icinga2
Section: admin
Priority: extra
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Markus Frosch <lazyfrosch@debian.org>,
           Jan Wagner <waja@cyconet.org>,
           Alexander Wirt <formorer@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.7),
               debhelper (>= 9),
               flex,
               g++ (>= 1.96),
               libboost-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libmysqlclient-dev,
               libpq-dev,
               libssl-dev,
               make (>= 3.81),
               po-debconf,
               python-setuptools,
               python-all
Standards-Version: 3.9.5
Homepage: http://www.icinga.org
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-nagios/pkg-icinga2.git
Vcs-Git: git://anonscm.debian.org/pkg-nagios/pkg-icinga2.git

Package: icinga2
Architecture: any
Depends: icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ${misc:Depends}
Recommends: icinga2-doc, monitoring-plugins-basic | nagios-plugins-basic
Description: host and network monitoring system
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This is the metapackage to install all Icinga 2 features.

Package: icinga2-common
Architecture: all
Depends:
    python-icinga2 (= ${source:Version}),
    adduser,
    lsb-release,
    ${python:Depends},
    ${misc:Depends}
Description: host and network monitoring system - common files
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides configuration and some basic helper scripts.

Package: icinga2-bin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: icinga2-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: host and network monitoring system - daemon
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the Icinga 2 daemon.

Package: icinga2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: host and network monitoring system - documentation
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the Icinga 2 documentation.

Package: icinga2-classicui
Architecture: all
Depends: apache2-utils,
         icinga-cgi-bin (>= 1.11.5~),
         icinga2-common (= ${source:Version}),
         ${misc:Depends}
Recommends: apache2 | httpd
Description: host and network monitoring system - classic UI
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides support for the Icinga Classic User Interface.

Package: icinga2-ido-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Conflicts: icinga2-ido-pgsql
Depends: dbconfig-common,
         icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mysql-client
Suggests: mysql-server
Description: host and network monitoring system - MySQL support
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the IDO module for the MySQL database.

Package: icinga2-ido-pgsql
Architecture: any
Conflicts: icinga2-ido-mysql
Pre-Depends: ${misc:Pre-Depends}
Depends: dbconfig-common,
         icinga2-bin (= ${binary:Version}),
         icinga2-common (= ${source:Version}),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: postgresql-client
Suggests: postgresql
Description: host and network monitoring system - PostgreSQL support
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the IDO module for the PostgreSQL database.

Package: icinga2-dbg
Architecture: any
Section: debug
Depends: icinga2-bin (= ${binary:Version}), ${misc:Depends}
Description: host and network monitoring system - debug symbols
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides debug symbols for Icinga 2.

Package: python-icinga2
Architecture: all
Section: python
Depends:
    python-pkg-resources,
    ${misc:Depends},
    ${python:Depends}
Provides: ${python:Provides}
Description: host and network monitoring system - Python module
 Icinga 2 is a general-purpose monitoring application to fit the needs of
 any size of network. Icinga 1.x was a Nagios fork; this new generation
 has been rewritten from scratch in C++, with multi-threading and cluster
 support.
 .
 Features:
  * all standard features of Icinga and Nagios;
  * much faster and more scalable than Icinga 1 and Nagios;
  * new, more intuitive, template-based configuration format;
  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
    SMTP, etc.) by executing checks (see monitoring-plugins*);
  * any small script following the Nagios plugin API can be used as a
    check plugin;
  * notifications about alerts for any custom script (with examples);
  * native support for Livestatus and Graphite.
 .
 This package provides the Python module for Icinga 2.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	test ! -f third-party/cmake/GNUInstallDirs.cmake.disabled || \
		mv third-party/cmake/GNUInstallDirs.cmake.disabled third-party/cmake/GNUInstallDirs.cmake

override_dh_auto_configure:
	test -f third-party/cmake/GNUInstallDirs.cmake.disabled || \
		mv third-party/cmake/GNUInstallDirs.cmake third-party/cmake/GNUInstallDirs.cmake.disabled
	dh_auto_configure -- \
		-DCMAKE_INSTALL_LOCALSTATEDIR=/var \
		-DCMAKE_INSTALL_SYSCONFDIR=/etc \
		-DICINGA2_RUNDIR=/run \
		-DICINGA2_USER=nagios \
		-DICINGA2_GROUP=nagios \
		-DICINGA2_COMMAND_USER=nagios \
		-DICINGA2_COMMAND_GROUP=www-data \
		-DICINGA2_GIT_VERSION_INFO=false \
		-DICINGA2_PLUGINDIR=/usr/lib/nagios/plugins

override_dh_auto_install:
	dh_auto_install
	# remove features-enabled - these will be activated by postinst later
	rm -r debian/tmp/etc/icinga2/features-enabled/*

override_dh_install:
	dh_install
	# remove ido files from other packages
	if [ -d debian/icinga2-common/ ]; then rm debian/icinga2-common/etc/icinga2/features-available/ido-*; fi
	rm debian/icinga2-bin/usr/lib/*/icinga2/libdb_ido_*
	for dbms in mysql pgsql; do \
		mkdir -p debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/install ; \
		mkdir -p debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/upgrade/$$dbms; \
		cp components/db_ido_$$dbms/schema/$$dbms.sql debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/install/$$dbms ; \
		for file in components/db_ido_$$dbms/schema/upgrade/* ; do \
			cp $$file debian/icinga2-ido-$$dbms/usr/share/dbconfig-common/data/icinga2-ido-$$dbms/upgrade/$$dbms/`basename $$file .sql`; \
		done; \
	done

override_dh_installinit:
	dh_installinit --name=icinga2

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=icinga2-dbg

# vi: noexpandtab ts=4 sw=4 :
